"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BadShellSectionError = exports.BadEnvVariableError = void 0;
const error_1 = __importDefault(require("@pnpm/error"));
class BadEnvVariableError extends error_1.default {
    constructor({ envName, wantedValue, currentValue }) {
        super('BAD_ENV_FOUND', `Currently '${envName}' is set to '${wantedValue}'`, {
            hint: `If you want to override the existing ${envName} env variable, use the --force option`,
        });
    }
}
exports.BadEnvVariableError = BadEnvVariableError;
class BadShellSectionError extends error_1.default {
    constructor({ wanted, current, configFile }) {
        super('BAD_SHELL_SECTION', `The config file at "${configFile} already contains a pnpm section but with other configuration`, {
            hint: 'If you want to override the existing configuration section, use the --force option',
        });
        this.current = current;
        this.wanted = wanted;
    }
}
exports.BadShellSectionError = BadShellSectionError;
//# sourceMappingURL=errors.js.map